<?php
/**
  */
 
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!', blueblog));
	if ( post_password_required() ) {
		echo (__('You must be <a href="%s">logged in</a> to post a comment.', blueblog));
	return;	}  
?> 

<!-- You can start editing here.-->
<?php if ( have_comments() ) : ?>
    <?php if ( ! empty($comments_by_type['pings']) ) : ?>
        <h2 class="comment_headings">
            <?php _e('Trackbacks/Pingbacks', blueblog);?>           
        </h2>
		<ol class="pinglist">
			<?php wp_list_comments('type=pings&callback=list_pings'); ?>
      </ol>
      <div class="navigation">
      	<div class="alignleft"> <?php previous_comments_link()?></div>
			<div class="alignright"> <?php next_comments_link() ?></div>
		</div>
          <?php endif; ?>	
	<?php if ( ! empty($comments_by_type['comment']) ) : ?>
        <h2 id="comments"><?php comments_number(__('No Responses', blueblog), __('One Responses', blueblog), __('% Responses', blueblog)); ?></h2>
        <ol class="commentlist">
            <?php wp_list_comments('type=comment'); ?>
        </ol>
        <div class="navigation">
            <div class="alignleft"><?php previous_comments_link() ?></div>
            <div class="alignright"><?php next_comments_link() ?></div>
        </div>
    <?php endif; ?>

	<?php else : // wenn es noch keine Kommentare gibt ?> 
		<?php if ('open' == $post->comment_status) : ?>
	 	<!-- Kommentare erlaubt aber es ist noch keiner da. -->
		
		<?php else : // comments are closed ?>
		<!-- wenn die Kommentare geschlossen sind. -->
		<p class="nocomments"><?php _e('Comments are closed.', blueblog);?></p>
		<?php endif; ?><!--ende der kommentar ja nein abfrage-->
	<?php endif; ?><!--ende der abfrage gibt es kommentare-->



<?php if ('open' == $post->comment_status) : ?>
 
<div id="respond">
	<h2><?php comment_form_title(__('Leave a Reply', blueblog), __('Leave a Reply for %s' , blueblog) ); ?></h2>
	<div id="cancel-comment-reply">
		<small><?php cancel_comment_reply_link() ?><small>
	</div>

	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
		<p><?php printf(_e('You must be <a href="%s">logged in</a> to post a comment.', blueblog), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink())); ?></p>
	<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		<?php if ( $user_ID ) : ?>
			<p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.', blueblog), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account', blueblog); ?>"><?php _e('Log out &raquo;', blueblog); ?></a></p>
		<?php else : ?>
		
		<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
		<label for="author"><small><?php _e('Name', blueblog); ?> <?php if ($req) _e('(required)', blueblog); ?></small></label></p>
	
		<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
		<label for="email"><small><?php _e('Mail (will not be published)', blueblog); ?> <?php if ($req) _e('(required)', blueblog); ?></small></label></p>

		<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
		<label for="url"><small><?php _e('Website', blueblog); ?></small></label></p>
		<?php endif; ?>	
		
		<!--<p><small><?php printf(_e('<strong>XHTML:</strong> You can use these tags: <code>%s</code', blueblog), allowed_tags()); ?></small></p>-->

		<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

		<?php if ('none' != get_settings("comment_moderation")) { ?>
			<p><strong><?php _e('Please notice:</strong> Comments are moderated. This could delay your comment. There is no need to submit your comment again.', blueblog);?></p>
		<?php } ?>

		<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', blueblog); ?>" />
			<?php comment_id_fields(); ?> 
		</p>
		<?php do_action('comment_form', $post->ID); ?>

	</form>
</div><!--id respond end-->
<?php endif; // If registration required and not logged in ?>

<?php // if you delete this the sky will fall on your head
endif; ?>